.btn.btn-toggle-inactive-active {
  margin: 0 4rem;
  padding: 0;
  position: relative;
  border: none;
  height: 1.5rem;
  width: 3rem;
  border-radius: 1.5rem;
  color: #6b7381;
  background: #bdc1c8;
}
.btn-toggle-inactive-active:focus,
.btn-toggle-inactive-active.focus,
.btn-toggle-inactive-active:focus.active,
.btn-toggle-inactive-active.focus.active {
  outline: none;
}
.btn-toggle-inactive-active:before,
.btn-toggle-inactive-active:after {
  line-height: 1.5rem;
  width: 4rem;
  text-align: center;
  font-weight: 600;
  font-size: 0.75rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  position: absolute;
  bottom: 0;
  transition: opacity .25s;
}
.btn-toggle-inactive-active:before {
  content: 'Inactive';
  left: 4rem;
}
.btn-toggle-inactive-active:after {
  content: 'Active';
  right: -4rem;
  opacity: .5;
}
.btn-toggle-inactive-active > .handle {
  position: absolute;
  top: 1.1875rem;
  left: 0.1875rem;
  width: 1.125rem;
  height: 1.125rem;
  border-radius: 1.125rem;
  background: #fff;
  transition: left .25s;
}
.btn-toggle-inactive-active.active {
  transition: background-color 0.25s;
}
.btn-toggle-inactive-active.active > .handle {
  left: 1.6875rem;
  transition: left .25s;
}
.btn-toggle-inactive-active.active:before {
  opacity: .5;
}
.btn-toggle-inactive-active.active:after {
  opacity: 1;
}
.btn-toggle-inactive-active.btn-sm:before,
.btn-toggle-inactive-active.btn-sm:after {
  line-height: -0.5rem;
  color: #fff;
  letter-spacing: .75px;
  left: 5.4125rem;
  width: 2.325rem;
}
.btn-toggle-inactive-active.btn-sm:before {
  text-align: right;
}
.btn-toggle-inactive-active.btn-sm:after {
  text-align: left;
  opacity: 0;
}
.btn-toggle-inactive-active.btn-sm.active:before {
  opacity: 0;
}
.btn-toggle-inactive-active.btn-sm.active:after {
  opacity: 1;
}
.btn-toggle-inactive-active.btn-xs:before,
.btn-toggle-inactive-active.btn-xs:after {
  display: none;
}
.btn-toggle-inactive-active:before,
.btn-toggle-inactive-active:after {
  color: #6b7381;
}
.btn-toggle-inactive-active.active {
  background-color: #29b5a8;
}
.btn-toggle-inactive-active.btn-lg {
  margin: 0 5rem;
  padding: 0;
  position: relative;
  border: none;
  height: 2.5rem;
  width: 5rem;
  border-radius: 2.5rem;
}
.btn-toggle-inactive-active.btn-lg:focus,
.btn-toggle-inactive-active.btn-lg.focus,
.btn-toggle-inactive-active.btn-lg:focus.active,
.btn-toggle-inactive-active.btn-lg.focus.active {
  outline: none;
}
.btn-toggle-inactive-active.btn-lg:before,
.btn-toggle-inactive-active.btn-lg:after {
  line-height: 2.5rem;
  width: 5rem;
  text-align: center;
  font-weight: 600;
  font-size: 1rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  position: absolute;
  bottom: 0;
  transition: opacity .25s;
}
.btn-toggle-inactive-active.btn-lg:before {
  content: 'Inactive';
  left: 5rem;
}
.btn-toggle-inactive-active.btn-lg:after {
  content: 'Active';
  right: -5rem;
  opacity: .5;
}
.btn-toggle-inactive-active.btn-lg > .handle {
  position: absolute;
  top: 0.3125rem;
  left: 0.3125rem;
  width: 5.875rem; 
  height: 1.875rem;
  border-radius: 1.875rem;
  background: #fff;
  transition: left .25s;
}
.btn-toggle-inactive-active.btn-lg.active {
  transition: background-color 0.25s;
}
.btn-toggle-inactive-active.btn-lg.active > .handle {
  left: 2.8125rem;
  transition: left .25s;
}
.btn-toggle-inactive-active.btn-lg.active:before {
  opacity: .5;
}
.btn-toggle-inactive-active.btn-lg.active:after {
  opacity: 1;
}
.btn-toggle-inactive-active.btn-lg.btn-sm:before,
.btn-toggle-inactive-active.btn-lg.btn-sm:after {
  line-height: 0.5rem;
  color: #fff;
  letter-spacing: .75px;
  left: 0.6875rem;
  width: 3.875rem;
}
.btn-toggle-inactive-active.btn-lg.btn-sm:before {
  text-align: right;
}
.btn-toggle-inactive-active.btn-lg.btn-sm:after {
  text-align: left;
  opacity: 0;
}
.btn-toggle-inactive-active.btn-lg.btn-sm.active:before {
  opacity: 0;
}
.btn-toggle-inactive-active.btn-lg.btn-sm.active:after {
  opacity: 1;
}
.btn-toggle-inactive-active.btn-lg.btn-xs:before,
.btn-toggle-inactive-active.btn-lg.btn-xs:after {
  display: none;
}
.btn-toggle-inactive-active.btn-sm {
  margin: 0 0.5rem;
  padding: 0;
  position: relative;
  border: none;
  height: 1.5rem;
  width: 5rem; /*width*/
  border-radius: 1.5rem;
}
.btn-toggle-inactive-active.btn-sm:focus,
.btn-toggle-inactive-active.btn-sm.focus,
.btn-toggle-inactive-active.btn-sm:focus.active,
.btn-toggle-inactive-active.btn-sm.focus.active {
  outline: none;
}
.btn-toggle-inactive-active.btn-sm:before,
.btn-toggle-inactive-active.btn-sm:after {
  line-height: 1.5rem;
  width: 0.5rem;
  text-align: center;
  font-weight: 600;
  font-size: 0.55rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  position: absolute;
  bottom: 0;
  transition: opacity .25s;
}
.btn-toggle-inactive-active.btn-sm:before {
  content: 'Inactive';
  left: 10px;
  margin-left:15px;
}
.btn-toggle-inactive-active.btn-sm:after {
  content: 'Active';
  right: -0.5rem;
  opacity: .5;
   margin-left:5px;
}
.btn-toggle-inactive-active.btn-sm > .handle {
  position: absolute;
  top: 0.1875rem;
  left: 0.1875rem;
  width: 1.125rem;
  height: 1.125rem;
  border-radius: 1.125rem;
  background: #fff;
  transition: left .25s;
}
.btn-toggle-inactive-active.btn-sm.active {
  transition: background-color 0.25s;
}
.btn-toggle-inactive-active.btn-sm.active > .handle {
  left: 3.5875rem;/*button position*/
  transition: left .25s;
}
.btn-toggle-inactive-active.btn-sm.active:before {
  opacity: .5;
}
.btn-toggle-inactive-active.btn-sm.active:after {
  opacity: 1;
}
.btn-toggle-inactive-active.btn-sm.btn-sm:before,
.btn-toggle-inactive-active.btn-sm.btn-sm:after {
  line-height: -0.5rem;
  color: #fff;
  letter-spacing: .75px;
  left: 0.4125rem;
  width: 2.325rem;
}
.btn-toggle-inactive-active.btn-sm.btn-sm:before {
  text-align: right;
}
.btn-toggle-inactive-active.btn-sm.btn-sm:after {
  text-align: left;
  opacity: 0;
}
.btn-toggle-inactive-active.btn-sm.btn-sm.active:before {
  opacity: 0;
}
.btn-toggle-inactive-active.btn-sm.btn-sm.active:after {
  opacity: 1;
}
.btn-toggle-inactive-active.btn-sm.btn-xs:before,
.btn-toggle-inactive-active.btn-sm.btn-xs:after {
  display: none;
}
.btn-toggle-inactive-active.btn-xs {
  margin: 0 0;
  padding: 0;
  position: relative;
  border: none;
  height: 1rem;
  width: 2rem;
  border-radius: 1rem;
}
.btn-toggle-inactive-active.btn-xs:focus,
.btn-toggle-inactive-active.btn-xs.focus,
.btn-toggle-inactive-active.btn-xs:focus.active,
.btn-toggle-inactive-active.btn-xs.focus.active {
  outline: none;
}
.btn-toggle-inactive-active.btn-xs:before,
.btn-toggle-inactive-active.btn-xs:after {
  line-height: 1rem;
  width: 0;
  text-align: center;
  font-weight: 600;
  font-size: 0.75rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  position: absolute;
  bottom: 0;
  transition: opacity .25s;
}
.btn-toggle-inactive-active.btn-xs:before {
  content: 'Inactive';
  left: 100;
}
.btn-toggle-inactive-active.btn-xs:after {
  content: 'Active';
  right: 0;
  opacity: .5;
}
.btn-toggle-inactive-active.btn-xs > .handle {
  position: absolute;
  top: 0.125rem;
  left: 0.125rem;
  width: 0.75rem;
  height: 0.75rem;
  border-radius: 0.75rem;
  background: #fff;
  transition: left .25s;
}
.btn-toggle-inactive-active.btn-xs.active {
  transition: background-color 0.25s;
}
.btn-toggle-inactive-active.btn-xs.active > .handle {
  left: 1.125rem;
  transition: left .25s;
}
.btn-toggle-inactive-active.btn-xs.active:before {
  opacity: .5;
}
.btn-toggle-inactive-active.btn-xs.active:after {
  opacity: 1;
}
.btn-toggle-inactive-active.btn-xs.btn-sm:before,
.btn-toggle-inactive-active.btn-xs.btn-sm:after {
  line-height: -1rem;
  color: #fff;
  letter-spacing: .75px;
  left: 0.275rem;
  width: 1.55rem;
}
.btn-toggle-inactive-active.btn-xs.btn-sm:before {
  text-align: right;
}
.btn-toggle-inactive-active.btn-xs.btn-sm:after {
  text-align: left;
  opacity: 0;
}
.btn-toggle-inactive-active.btn-xs.btn-sm.active:before {
  opacity: 0;
}
.btn-toggle-inactive-active.btn-xs.btn-sm.active:after {
  opacity: 1;
}
.btn-toggle-inactive-active.btn-xs.btn-xs:before,
.btn-toggle-inactive-active.btn-xs.btn-xs:after {
  display: none;
}
.btn-toggle-inactive-active.btn-secondary {
  color: #6b7381;
  background: #bdc1c8;
}
.btn-toggle-inactive-active.btn-secondary:before,
.btn-toggle-inactive-active.btn-secondary:after {
  color: #6b7381;
}
.btn-toggle-inactive-active.btn-secondary.active {
  background-color: #ff8300;
}
